//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop
USERES("MaiCiaPuoFa.res");
USEFORM("Interfaccia.cpp", Form1);
USEFORM("Unit2.cpp", Form2);
USEFORM("Unit3.cpp", Form3);
USEFORM("Unit4.cpp", Form4);
USEFORM("Unit5.cpp", Form5);
USEFORM("Mod_AM.cpp", FormAM);
USEFORM("Mod_FM.cpp", FormFM);
USEFORM("Mod_BM.cpp", FormBM);
USEFORM("Mod_FSK.cpp", FormFSK);
USEFORM("Mod_FS.cpp", FormFS);
//---------------------------------------------------------------------------
WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
        try
        {
                 Application->Initialize();
                 Application->CreateForm(__classid(TForm1), &Form1);
                 Application->CreateForm(__classid(TForm2), &Form2);
                 Application->CreateForm(__classid(TForm3), &Form3);
                 Application->CreateForm(__classid(TForm4), &Form4);
                 Application->CreateForm(__classid(TForm5), &Form5);
                 Application->CreateForm(__classid(TFormAM), &FormAM);
                 Application->CreateForm(__classid(TFormFM), &FormFM);
                 Application->CreateForm(__classid(TFormBM), &FormBM);
                 Application->CreateForm(__classid(TFormFSK), &FormFSK);
                 Application->CreateForm(__classid(TFormFS), &FormFS);
                 Application->Run();
        }
        catch (Exception &exception)
        {
                 Application->ShowException(&exception);
        }
        return 0;
}
//---------------------------------------------------------------------------
